|Home | Tutorial | Classes | Functions | QSA Workbench | Language | Qt API | QSA Articles | Qt Script for Applications |

# QSUtilFactory Class Reference

The QSUtilFactory class extends QSA with classes to allow file access, directory traversal and executing external processes. More...

`#include <qsutilfactory.h>`

Inherits QSObjectFactory.

List of all member functions.

## Public Members

- enum Utilities { None = 0x0000, File = 0x0001, Directory = 0x0002, Process = 0x0004, All = 0xffff }
- QSUtilFactory ( uint enableFlags = All )

## Detailed Description

The QSUtilFactory class extends QSA with classes to allow file access, directory traversal and executing external processes.

To extend the interpreter with the Utililty Framework you must create an instance of the QSUtilFactory class and add it to the interpreter using the function QSInterpreter::addObjectFactory(). For example:

      QSProject proj;
      QSInterpreter *ip = proj->interpreter();
      ip->addObjectFactory( new QSUtilFactory );

The script extensions provided by the QSUtilFactory are described in detail in Utility Framework

## Member Type Documentation

### QSUtilFactory::Utilities

The Utilities enum can be used to enable and disable script access to the classes that the utility factory provides, thereby controlling the access that end users can have to the underlying system.

- `QSUtilFactory::None` - No classes are available. If no access is required then there is no point in adding the QSUtilFactory to the interpreter at all.
- `QSUtilFactory::File` - Gives access to the File class.
- `QSUtilFactory::Directory` - Gives access to the Directory class.
- `QSUtilFactory::Process` - Gives access to Process class.
- `QSUtilFactory::All` - Gives access to all the classes in availble in the factory. This is the default.

## Member Function Documentation

### QSUtilFactory::QSUtilFactory ( uint enableFlags = All )

Instantiates the QSUtilFactory and enables the script classes specified in enableFlags. enableFlags is a bitmask of the Utilities enum.

The QSUtilityFactory must be added to an interpreter before its classes can be used

See also QSInterpreter::addObjectFactory() and Utilities.

This file is part of Qt Script for Applications, copyright © 2001-2004 Trolltech. All Rights Reserved.